Skip to content

Get projects.

GET
/backend/v1/projects

Retrieves a list of projects that match the given criteria,
with the option to adjust the limit for more results.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Query Parameters

cursor

Selects page for paginated results. Pass in the next or prev attribute in the response

search

Only return results that match the given text.

limit

Limits the amount of results.

Type
integer
Default
10
Maximum
100
Minimum
1
ascending

Whether results should be sorted in ascending order.

Type
boolean
Default
false
type

Filter projects by these types.

providerId

Filter by projects that have these providers added.

sortBy

Sort results by the given parameter.

Default
"created_at"
admin

Get projects that the current user is/isn't admin of.

createdBy

Filter by projects created by the specified user.

deploymentStatus

Filter projects by their deployment status.

Responses

Successful Response

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: